Bug 118012 - Text mode raid partition creation crash
Text mode raid partition creation crash
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 20:43 EST by Lance Davis
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lance Davis 2004-03-10 20:43:10 EST
Description of problem:

In text mode anaconda, after creation partitions in disk druid, and
then trying to create raid device, selected two partitions , anaconda
crashed with :-

Self.1b.append(["%s" %(device)
TypeError: an integer is expected
line 101 partition_text.py

plugged in a mouse and did it in gui no problem

Version-Release number of selected component (if applicable):


How reproducible:

didnt try

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2004-06-09 17:23:29 EDT
Can you attach the complete traceback?  That looks fairly bogus (I
don't see that in the actual source) and so could well be a media problem.
Comment 2 Jeremy Katz 2004-11-04 09:08:43 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.